---
url: /foo
in: 
    pages/foo.md: |
        BLAH
        {{piecrust.debug_info}}
out: BLAH
---
url: /foo?!debug
in:
    pages/foo.md: |
        BLAH
        {{piecrust.debug_info}}
out_contains: |
    BLAH
    <div id="piecrust-debug-window"
---
url: /foo
in:
    pages/foo.md: BLAH {{pcurl('bar')}}
out: BLAH /bar.html
---
url: /foo?!debug
in:
    pages/foo.md: BLAH {{pcurl('bar')}}
out: BLAH /bar.html?!debug
---
url: /foo
config:
    site:
        pretty_urls: true
in:
    pages/foo.md: BLAH {{pcurl('bar')}}
out: BLAH /bar
---
url: /foo?!debug
config:
    site:
        pretty_urls: true
in:
    pages/foo.md: BLAH {{pcurl('bar')}}
out: BLAH /bar?!debug

